
OBJECT_FILES = \
  runtime-theme-d-environment.go \
  params.go \
  theme-d-stdlib-support.go \
  theme-d-support.go

runtimedir = $(THEME_D_RUNTIME_DIR)
runtime_DATA = $(OBJECT_FILES)

scriptdir = $(THEME_D_SCRIPT_DIR)
script_DATA = run-theme-d-program.scm

%.go : %.scm
	GUILE_LOAD_PATH=../.. guild compile -o $@ $<

# Not sure if the following is necessary.
install-data-hook ::
	chmod 755 $(DESTDIR)/$(THEME_D_SCRIPT_DIR)/run-theme-d-program.scm

.PHONY:  mostlyclean-local-check

mostlyclean-local : mostlyclean-local-check

mostlyclean-local-check:
	-rm -f *.go
	-rm -f run-theme-d-program.scm

run-theme-d-program.scm : run-theme-d-program.scm.in
	sed -e 's|@guile_version@|$(MY_GUILE_VERSION)|g' $< > $@
	chmod 755 $@
